%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:           perl-Net-CIDR-Lite
Version:        0.22
Release:        1mamba
Summary:        Net::CIDR::Lite - Perl extension for merging IPv4 or IPv6 CIDR addresses 
Group:          System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:       Silvan Calarco <silvan.calarco@mambasoft.it>
URL:            https://www.cpan.org
Source:         https://cpan.metacpan.org/modules/by-module/Net/Net-CIDR-Lite-%{version}.tar.gz
License:        BSD
Requires:       perl >= %perl_major_ver
BuildRequires:  perl-devel >= %perl_major_ver

%description
Net::CIDR::Lite - Perl extension for merging IPv4 or IPv6 CIDR addresses.

%prep
%setup -q -n Net-CIDR-Lite-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Apr 05 2021 Automatic Build System <autodist@mambasoft.it> 0.22-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.21-2mamba
- perl 5.16 mass rebuild

* Sun Apr 04 2010 Automatic Build System <autodist@mambasoft.it> 0.21-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20-2mamba
- automatic rebuild by autodist

* Wed May 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20-1mamba
- package created by autospec
